Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1273291 - Could not switch projects using project dropdown list
Summary: Could not switch projects using project dropdown list
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OKD
Classification: Red Hat
Component: Management Console
Version: 3.x
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-20 07:17 UTC by Yanping Zhang
Modified: 2015-11-23 21:17 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-23 21:17:05 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Yanping Zhang 2015-10-20 07:17:53 UTC
Description of problem:
User have access to multiple projects, login on web console, click in one project,when try to switch to other project using the project dropdown list, click on the box, it doesn't show projects list, no project can be chosen.

Version-Release number of selected component (if applicable):
openshift v1.0.6-759-g403de38
kubernetes v1.2.0-alpha.1-1107-g4c8e6f4
etcd 2.1.2


How reproducible:
Always

Steps to Reproduce:
1.Create 2 projects: projecct1 and project2, and give user the access to the projects.
2.Login on web console, click in project1.
3.Try to switch to project2, by clicking the project selector box and choosing from the list.

Actual results:
4.Projects list doesn't show up, and no project can be chosen.

Expected results:
4.Could switch project correctly.

Additional info:

Comment 1 Samuel Padgett 2015-10-20 18:28:01 UTC
Regression introducing by adding the bootstrap-hover-dropdown dependency for the pop-up browse menu.

Comment 2 Samuel Padgett 2015-10-20 18:31:49 UTC
https://github.com/openshift/origin/pull/5260

Comment 3 Yanping Zhang 2015-10-21 04:33:48 UTC
Tested on latest origin code, the issue has been fixed.
$ openshift version
openshift v1.0.6-803-g7c12c7a
kubernetes v1.2.0-alpha.1-1107-g4c8e6f4
etcd 2.1.2

Steps to verify:
1.Create 2 projects: projecct1 and project2, and give user the access to the projects.
2.Login on web console, click in project1.
3.Try to switch to project2, by clicking the project selector box and choosing from the list.
Actual results:
3.Could switch projects successfully.


Note You need to log in before you can comment on or make changes to this bug.